> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List WhatsApp Flows

> List the WhatsApp Flows of a connection's WABA (read through a Redis cache). Flows are authored in Meta's Flow builder.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/flows
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/flows:
    get:
      tags:
        - Orgs Connections
      summary: List WhatsApp Flows
      description: >-
        List the WhatsApp Flows of a connection's WABA (read through a Redis
        cache). Flows are authored in Meta's Flow builder.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: false
          name: waba_id
          in: query
        - schema:
            type: string
          required: false
          name: phone_number_id
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WhatsAppFlowSchema'
components:
  schemas:
    WhatsAppFlowSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        categories:
          type: array
          items:
            type: string
      required:
        - id
        - name
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````